#ifndef SERIAL_H
#define SERIAL_H
#include <stdint.h>

// Инициализация COM1 порта на скорость 38400 бод, 8N1
void serial_init(void);

// Проверка, пуст ли передающий буфер порта
int is_transmit_empty(void);

// Отправка одного символа в COM1
void serial_putc(char c);

// Вывод строки (логов) в последовательный порт
void kprint_serial(const char* str);

void kprint_serial_hex(uint32_t num);
void kprint_serial_dec(uint32_t num);

#endif
